<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>NativeExecutableSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NativeExecutableSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/nativeplatform/NativeExecutableFileSpec.html" title="class in org.gradle.nativeplatform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/nativeplatform/NativeInstallationSpec.html" title="class in org.gradle.nativeplatform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/nativeplatform/NativeExecutableSpec.html" target="_top">Frames</a></li>
<li><a href="NativeExecutableSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform</div>
<h2 title="Interface NativeExecutableSpec" class="title">Interface NativeExecutableSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base">ApplicationSpec</a>, <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base">GeneralComponentSpec</a>, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../org/gradle/nativeplatform/NativeComponentSpec.html" title="interface in org.gradle.nativeplatform">NativeComponentSpec</a>, <a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>, <a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a>, <a href="../../../org/gradle/nativeplatform/TargetedNativeComponent.html" title="interface in org.gradle.nativeplatform">TargetedNativeComponent</a>, <a href="../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a>, <a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">NativeExecutableSpec</span>
extends <a href="../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base">ApplicationSpec</a>, <a href="../../../org/gradle/nativeplatform/NativeComponentSpec.html" title="interface in org.gradle.nativeplatform">NativeComponentSpec</a>, <a href="../../../org/gradle/nativeplatform/TargetedNativeComponent.html" title="interface in org.gradle.nativeplatform">TargetedNativeComponent</a></pre>
<div class="block">Definition of a native executable component that is to be built by Gradle.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.SourceComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/SourceComponentSpec.html#getSources()">getSources</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.nativeplatform.TargetedNativeComponent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.nativeplatform.<a href="../../../org/gradle/nativeplatform/TargetedNativeComponent.html" title="interface in org.gradle.nativeplatform">TargetedNativeComponent</a></h3>
<code><a href="../../../org/gradle/nativeplatform/TargetedNativeComponent.html#targetBuildTypes(java.lang.String...)">targetBuildTypes</a>, <a href="../../../org/gradle/nativeplatform/TargetedNativeComponent.html#targetFlavors(java.lang.String...)">targetFlavors</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.PlatformAwareComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html#targetPlatform(java.lang.String)">targetPlatform</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.VariantComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/VariantComponentSpec.html#getBinaries()">getBinaries</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.VariantComponent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a></h3>
<code><a href="../../../org/gradle/platform/base/VariantComponent.html#getName()">getName</a>, <a href="../../../org/gradle/platform/base/VariantComponent.html#getVariants()">getVariants</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.nativeplatform.NativeComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.nativeplatform.<a href="../../../org/gradle/nativeplatform/NativeComponentSpec.html" title="interface in org.gradle.nativeplatform">NativeComponentSpec</a></h3>
<code><a href="../../../org/gradle/nativeplatform/NativeComponentSpec.html#getBaseName()">getBaseName</a>, <a href="../../../org/gradle/nativeplatform/NativeComponentSpec.html#setBaseName(java.lang.String)">setBaseName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/nativeplatform/NativeExecutableFileSpec.html" title="class in org.gradle.nativeplatform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/nativeplatform/NativeInstallationSpec.html" title="class in org.gradle.nativeplatform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/nativeplatform/NativeExecutableSpec.html" target="_top">Frames</a></li>
<li><a href="NativeExecutableSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
